package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * LanStatus
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class LanStatus   {
  @JsonProperty("vlan")
  private Integer vlan;

  @JsonProperty("lanName")
  private String lanName;

  @JsonProperty("ip")
  private String ip;

  @JsonProperty("rx")
  private Long rx;

  @JsonProperty("tx")
  private Long tx;

  @JsonProperty("clientNum")
  private Integer clientNum;

  @JsonProperty("lanPortIpv6Config")
  private OsgLanPortIpv6ConfigVo lanPortIpv6Config;

  public LanStatus vlan(Integer vlan) {
    this.vlan = vlan;
    return this;
  }

  /**
   * vlan
   * @return vlan
  */
  @ApiModelProperty(value = "vlan")


  public Integer getVlan() {
    return vlan;
  }

  public void setVlan(Integer vlan) {
    this.vlan = vlan;
  }

  public LanStatus lanName(String lanName) {
    this.lanName = lanName;
    return this;
  }

  /**
   * Lan name
   * @return lanName
  */
  @ApiModelProperty(value = "Lan name")


  public String getLanName() {
    return lanName;
  }

  public void setLanName(String lanName) {
    this.lanName = lanName;
  }

  public LanStatus ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * Ip
   * @return ip
  */
  @ApiModelProperty(value = "Ip")


  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public LanStatus rx(Long rx) {
    this.rx = rx;
    return this;
  }

  /**
   * Lan rx
   * @return rx
  */
  @ApiModelProperty(value = "Lan rx")


  public Long getRx() {
    return rx;
  }

  public void setRx(Long rx) {
    this.rx = rx;
  }

  public LanStatus tx(Long tx) {
    this.tx = tx;
    return this;
  }

  /**
   * Lan tx
   * @return tx
  */
  @ApiModelProperty(value = "Lan tx")


  public Long getTx() {
    return tx;
  }

  public void setTx(Long tx) {
    this.tx = tx;
  }

  public LanStatus clientNum(Integer clientNum) {
    this.clientNum = clientNum;
    return this;
  }

  /**
   * Lan client num
   * @return clientNum
  */
  @ApiModelProperty(value = "Lan client num")


  public Integer getClientNum() {
    return clientNum;
  }

  public void setClientNum(Integer clientNum) {
    this.clientNum = clientNum;
  }

  public LanStatus lanPortIpv6Config(OsgLanPortIpv6ConfigVo lanPortIpv6Config) {
    this.lanPortIpv6Config = lanPortIpv6Config;
    return this;
  }

  /**
   * Get lanPortIpv6Config
   * @return lanPortIpv6Config
  */
  @ApiModelProperty(value = "")

  @Valid

  public OsgLanPortIpv6ConfigVo getLanPortIpv6Config() {
    return lanPortIpv6Config;
  }

  public void setLanPortIpv6Config(OsgLanPortIpv6ConfigVo lanPortIpv6Config) {
    this.lanPortIpv6Config = lanPortIpv6Config;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LanStatus lanStatus = (LanStatus) o;
    return Objects.equals(this.vlan, lanStatus.vlan) &&
        Objects.equals(this.lanName, lanStatus.lanName) &&
        Objects.equals(this.ip, lanStatus.ip) &&
        Objects.equals(this.rx, lanStatus.rx) &&
        Objects.equals(this.tx, lanStatus.tx) &&
        Objects.equals(this.clientNum, lanStatus.clientNum) &&
        Objects.equals(this.lanPortIpv6Config, lanStatus.lanPortIpv6Config);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vlan, lanName, ip, rx, tx, clientNum, lanPortIpv6Config);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LanStatus {\n");
    
    sb.append("    vlan: ").append(toIndentedString(vlan)).append("\n");
    sb.append("    lanName: ").append(toIndentedString(lanName)).append("\n");
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    rx: ").append(toIndentedString(rx)).append("\n");
    sb.append("    tx: ").append(toIndentedString(tx)).append("\n");
    sb.append("    clientNum: ").append(toIndentedString(clientNum)).append("\n");
    sb.append("    lanPortIpv6Config: ").append(toIndentedString(lanPortIpv6Config)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

